POST api/Policy/InsertWithEndorementId
Insert/update policy
Request Information
URI Parameters
None.
Body Parameters
NCPolicyWithEndorsementId properties
NCPolicyWithEndorsementId| Name | Description | Type | Additional information |
|---|---|---|---|
| EndorsementId | globally unique identifier |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
|
| InsuredEmail | string |
None. |
|
| InsuredFirstName | string |
None. |
|
| InsuredLastName | string |
None. |
|
| DatabaseId | globally unique identifier |
None. |
|
| Number | string |
None. |
|
| EffectiveDate | date |
None. |
|
| ExpirationDate | date |
None. |
|
| BindDate | date |
None. |
|
| BusinessType | PolicyBusinessType |
None. |
|
| BusinessSubType | PolicyBusinessSubType |
None. |
|
| Description | string |
None. |
|
| BillingType | PolicyBillingType |
None. |
|
| InsuredName | string |
None. |
|
| Agents | Collection of AgentBusinessWithPolicySpecificCommissionRule |
None. |
|
| CSRs | Collection of AgentBusiness |
None. |
|
| LineOfBusinessName | string |
None. |
|
| CarrierName | string |
None. |
|
| MgaName | string |
None. |
|
| Premium | decimal number |
None. |
|
| AgencyCommissionPercent | decimal number |
None. |
|
| AgencyCommissionValue | decimal number |
None. |
|
| AgencyFee | decimal number |
None. |
|
| Taxes | decimal number |
None. |
|
| BinderId | string |
None. |
|
| Status | byte |
None. |
|
| StatusChangeDate | date |
None. |
|
| ManualStatus | PolicyStatus |
None. |
|
| CancellationDate | date |
None. |
|
| PolicyFee | decimal number |
None. |
|
| PolicyURL | string |
None. |
|
| ProductName | string |
None. |
|
| OldPremium | decimal number |
None. |
|
| OldAgencyCommissionValue | decimal number |
None. |
|
| OldAgencyFee | decimal number |
None. |
|
| OldTaxes | decimal number |
None. |
|
| DeleteOtherLob | boolean |
None. |
|
| PrimaryOfficeDatabaseId | globally unique identifier |
None. |
|
| ReferralSourceCompanyName | string |
None. |
|
| DeleteBasePremiumFeesAndTaxes | boolean |
None. |
|
| DeleteExistingAgents | boolean |
None. |
|
| ParentPolicyId | globally unique identifier |
None. |
|
| IsPolicyRenewal | boolean |
None. |
|
| CheckPolicyOnNumber | boolean |
None. |
|
| BillingCompanyDatabaseId | globally unique identifier |
None. |
|
| LineOfBusinessNames | Collection of string |
None. |
|
| MortgageBilled | boolean |
None. |
|
| BlanketAI | boolean |
None. |
|
| BlanketWS | boolean |
None. |
|
| AutoRenew | boolean |
None. |
|
| PremiumSent | PolicyPremiumSent |
None. |
|
| FinanceCompanyName | string |
None. |
|
| LeadSources | Collection of globally unique identifier |
None. |
|
| PackageName | string |
None. |
|
| OverRideUserRequestValue | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"endorsementId": "867fb179-452c-45c5-a179-ffae86e0f6b1",
"insuredDatabaseId": "4057ed3c-33cd-4d00-a47f-38abc0d28d7a",
"insuredEmail": "sample string 3",
"insuredFirstName": "sample string 4",
"insuredLastName": "sample string 5",
"databaseId": "645a3bb4-fca6-402c-81db-1be11cce5543",
"number": "sample string 7",
"effectiveDate": "2026-02-23T21:45:31.7315914-06:00",
"expirationDate": "2026-02-23T21:45:31.7315914-06:00",
"bindDate": "2026-02-23T21:45:31.7315914-06:00",
"businessType": 0,
"businessSubType": 0,
"description": "sample string 8",
"billingType": 0,
"insuredName": "sample string 9",
"agents": [
{
"policySpecific_AgentCommissionPercentage": 1.0,
"policySpecific_AgentCommissionPaymentType": 0,
"databaseId": "4dc529b4-1313-4e3f-b36f-aebc29038e10",
"firstName": "sample string 2",
"lastName": "sample string 3"
},
{
"policySpecific_AgentCommissionPercentage": 1.0,
"policySpecific_AgentCommissionPaymentType": 0,
"databaseId": "4dc529b4-1313-4e3f-b36f-aebc29038e10",
"firstName": "sample string 2",
"lastName": "sample string 3"
}
],
"csRs": [
{
"databaseId": "5512e0aa-50e1-4527-a737-a560bf038f3b",
"firstName": "sample string 2",
"lastName": "sample string 3"
},
{
"databaseId": "5512e0aa-50e1-4527-a737-a560bf038f3b",
"firstName": "sample string 2",
"lastName": "sample string 3"
}
],
"lineOfBusinessName": "sample string 10",
"carrierName": "sample string 11",
"mgaName": "sample string 12",
"premium": 1.0,
"agencyCommissionPercent": 1.0,
"agencyCommissionValue": 1.0,
"agencyFee": 1.0,
"taxes": 1.0,
"binderId": "sample string 13",
"status": 64,
"statusChangeDate": "2026-02-23T21:45:31.7315914-06:00",
"manualStatus": 0,
"cancellationDate": "2026-02-23T21:45:31.7315914-06:00",
"policyFee": 1.0,
"policyURL": "sample string 14",
"productName": "sample string 15",
"oldPremium": 1.0,
"oldAgencyCommissionValue": 1.0,
"oldAgencyFee": 1.0,
"oldTaxes": 1.0,
"deleteOtherLob": true,
"primaryOfficeDatabaseId": "9d1d1ec8-c0e9-4c66-b872-d965a480fa16",
"referralSourceCompanyName": "sample string 17",
"deleteBasePremiumFeesAndTaxes": true,
"deleteExistingAgents": true,
"parentPolicyId": "8727b2fa-59f5-4cec-ab32-c1bdfe8d2122",
"isPolicyRenewal": true,
"checkPolicyOnNumber": true,
"billingCompanyDatabaseId": "35dba804-fe7b-4e80-b041-84145583f9a8",
"lineOfBusinessNames": [
"sample string 1",
"sample string 2"
],
"mortgageBilled": true,
"blanketAI": true,
"blanketWS": true,
"autoRenew": true,
"premiumSent": 0,
"financeCompanyName": "sample string 22",
"leadSources": [
"57c0b8ac-04ca-4b77-b245-5bb02d381461",
"d1135991-ee01-4384-9221-2bd9735b03f2"
],
"packageName": "sample string 23",
"overRideUserRequestValue": true
}
application/xml, text/xml
Sample:
<NCPolicyWithEndorsementId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
<AgencyCommissionPercent>1</AgencyCommissionPercent>
<AgencyCommissionValue>1</AgencyCommissionValue>
<AgencyFee>1</AgencyFee>
<Agents>
<AgentBusinessWithPolicySpecificCommissionRule>
<DatabaseId>4dc529b4-1313-4e3f-b36f-aebc29038e10</DatabaseId>
<FirstName>sample string 2</FirstName>
<LastName>sample string 3</LastName>
<PolicySpecific_AgentCommissionPaymentType>From_Agency_Commission</PolicySpecific_AgentCommissionPaymentType>
<PolicySpecific_AgentCommissionPercentage>1</PolicySpecific_AgentCommissionPercentage>
</AgentBusinessWithPolicySpecificCommissionRule>
<AgentBusinessWithPolicySpecificCommissionRule>
<DatabaseId>4dc529b4-1313-4e3f-b36f-aebc29038e10</DatabaseId>
<FirstName>sample string 2</FirstName>
<LastName>sample string 3</LastName>
<PolicySpecific_AgentCommissionPaymentType>From_Agency_Commission</PolicySpecific_AgentCommissionPaymentType>
<PolicySpecific_AgentCommissionPercentage>1</PolicySpecific_AgentCommissionPercentage>
</AgentBusinessWithPolicySpecificCommissionRule>
</Agents>
<AutoRenew>true</AutoRenew>
<BillingCompanyDatabaseId>35dba804-fe7b-4e80-b041-84145583f9a8</BillingCompanyDatabaseId>
<BillingType>Direct_Bill_100</BillingType>
<BindDate>2026-02-23T21:45:31.7315914-06:00</BindDate>
<BinderId>sample string 13</BinderId>
<BlanketAI>true</BlanketAI>
<BlanketWS>true</BlanketWS>
<BusinessSubType>AgentOfRecord</BusinessSubType>
<BusinessType>New_Business</BusinessType>
<CSRs>
<AgentBusiness>
<DatabaseId>5512e0aa-50e1-4527-a737-a560bf038f3b</DatabaseId>
<FirstName>sample string 2</FirstName>
<LastName>sample string 3</LastName>
</AgentBusiness>
<AgentBusiness>
<DatabaseId>5512e0aa-50e1-4527-a737-a560bf038f3b</DatabaseId>
<FirstName>sample string 2</FirstName>
<LastName>sample string 3</LastName>
</AgentBusiness>
</CSRs>
<CancellationDate>2026-02-23T21:45:31.7315914-06:00</CancellationDate>
<CarrierName>sample string 11</CarrierName>
<CheckPolicyOnNumber>true</CheckPolicyOnNumber>
<DatabaseId>645a3bb4-fca6-402c-81db-1be11cce5543</DatabaseId>
<DeleteBasePremiumFeesAndTaxes>true</DeleteBasePremiumFeesAndTaxes>
<DeleteExistingAgents>true</DeleteExistingAgents>
<DeleteOtherLob>true</DeleteOtherLob>
<Description>sample string 8</Description>
<EffectiveDate>2026-02-23T21:45:31.7315914-06:00</EffectiveDate>
<ExpirationDate>2026-02-23T21:45:31.7315914-06:00</ExpirationDate>
<FinanceCompanyName>sample string 22</FinanceCompanyName>
<InsuredName>sample string 9</InsuredName>
<IsPolicyRenewal>true</IsPolicyRenewal>
<LeadSources xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>57c0b8ac-04ca-4b77-b245-5bb02d381461</d2p1:guid>
<d2p1:guid>d1135991-ee01-4384-9221-2bd9735b03f2</d2p1:guid>
</LeadSources>
<LineOfBusinessName>sample string 10</LineOfBusinessName>
<LineOfBusinessNames xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</LineOfBusinessNames>
<ManualStatus>Active</ManualStatus>
<MgaName>sample string 12</MgaName>
<MortgageBilled>true</MortgageBilled>
<Number>sample string 7</Number>
<OldAgencyCommissionValue>1</OldAgencyCommissionValue>
<OldAgencyFee>1</OldAgencyFee>
<OldPremium>1</OldPremium>
<OldTaxes>1</OldTaxes>
<OverRideUserRequestValue>true</OverRideUserRequestValue>
<PackageName>sample string 23</PackageName>
<ParentPolicyId>8727b2fa-59f5-4cec-ab32-c1bdfe8d2122</ParentPolicyId>
<PolicyFee>1</PolicyFee>
<PolicyURL>sample string 14</PolicyURL>
<Premium>1</Premium>
<PremiumSent>Gross</PremiumSent>
<PrimaryOfficeDatabaseId>9d1d1ec8-c0e9-4c66-b872-d965a480fa16</PrimaryOfficeDatabaseId>
<ProductName>sample string 15</ProductName>
<ReferralSourceCompanyName>sample string 17</ReferralSourceCompanyName>
<Status>64</Status>
<StatusChangeDate>2026-02-23T21:45:31.7315914-06:00</StatusChangeDate>
<Taxes>1</Taxes>
<InsuredDatabaseId xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum.Contracts">4057ed3c-33cd-4d00-a47f-38abc0d28d7a</InsuredDatabaseId>
<InsuredEmail xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum.Contracts">sample string 3</InsuredEmail>
<InsuredFirstName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum.Contracts">sample string 4</InsuredFirstName>
<InsuredLastName xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum.Contracts">sample string 5</InsuredLastName>
<EndorsementId>867fb179-452c-45c5-a179-ffae86e0f6b1</EndorsementId>
</NCPolicyWithEndorsementId>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
NowCertsApiResultWithPoliciesAndQuotesIdsAndEndorsementId| Name | Description | Type | Additional information |
|---|---|---|---|
| EndorsementId | globally unique identifier |
None. |
|
| PolicyOrQuoteId | globally unique identifier |
None. |
|
| IsQuote | boolean |
None. |
|
| objectURL | string |
None. |
|
| BinderId | string |
None. |
|
| Status | ApiStatus |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"endorsementId": "6ac58a68-0979-4026-ba5e-c195edc6fb54",
"policyOrQuoteId": "82cf1fe2-304e-42ad-a158-5e6eb31c7e5e",
"isQuote": true,
"objectURL": "sample string 4",
"binderId": "sample string 5",
"status": 0,
"message": "sample string 6"
}
application/xml, text/xml
Sample:
<NowCertsApiResultWithPoliciesAndQuotesIdsAndEndorsementId xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <Message>sample string 6</Message> <Status>Error</Status> <BinderId>sample string 5</BinderId> <IsQuote>true</IsQuote> <PolicyOrQuoteId>82cf1fe2-304e-42ad-a158-5e6eb31c7e5e</PolicyOrQuoteId> <objectURL>sample string 4</objectURL> <EndorsementId>6ac58a68-0979-4026-ba5e-c195edc6fb54</EndorsementId> </NowCertsApiResultWithPoliciesAndQuotesIdsAndEndorsementId>